import { EventEmitter, ViewContainerRef, DynamicComponentLoader, ComponentRef, OnDestroy, ElementRef, OnChanges, OnInit } from 'angular2/core';
import { ConfirmOptions } from './confirmOptions.provider';
export declare class Confirm implements OnDestroy, OnChanges, OnInit {
    private viewContainerRef;
    private loader;
    private elm;
    private defaultOptions;
    title: string;
    message: string;
    confirmText: string;
    cancelText: string;
    placement: string;
    confirmButtonType: string;
    cancelButtonType: string;
    focusButton: string;
    isOpen: boolean;
    isDisabled: boolean;
    isOpenChange: EventEmitter<any>;
    confirm: EventEmitter<any>;
    cancel: EventEmitter<any>;
    popover: Promise<ComponentRef>;
    constructor(viewContainerRef: ViewContainerRef, loader: DynamicComponentLoader, elm: ElementRef, defaultOptions: ConfirmOptions);
    ngOnInit(): void;
    ngOnChanges(changes: any): void;
    ngOnDestroy(): void;
    onConfirm(): void;
    onCancel(): void;
    private _showPopover();
    private _hidePopover();
    private _onDocumentClick(target);
    private _togglePopover();
}
